Subject: RE: New packge: lighttpd-1.3.0
From: <[email-masked]>
To: "'Gerrit @ cygwin'" <[email-masked]>
Cc: "'Reini Urban'" <[email-masked]>
Date: Wed, 22 Sep 2004 12:04:04 +0100

p> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Gerrit P. Haase
> Sent: 22 September 2004 10:31
> To: [email-masked]
> Cc: 'Reini Urban'; [email-masked]
> Subject: Re: New packge: lighttpd-1.3.0
> 
> Hallo R.,
> 
> > I think what is required is a separate php package - making it work
> > with a web server (apache or lighttpd) is just a configuration
> > issue. 
> 
> Yes, but you cannot build PHP with fastcgi and Apache support at the
> same time, so there should be several packages, runtime for every
> webserver available (currently only lighttpd) plus one common
> package (devel stuff).

Can you expand a little on that? Do you mean something like:

php-common
php-cgi
php-apache
php-devel
Etc. ?

Can cgi php use the same modules as mod_php? Should we build statically?

> > I imagine most of the problems arise when trying to decide on a
> > standard set of modules to be included with the "standard" php
> > package. Or is it possible to package php modules separately, e.g.
> > the postgres, ssl, imap, etc.?
> 
> Just include everything possible seems to be ok;)  There should be all
> important modules which are really needed, e.g. database modules for
> mysql and pgsql, sqlite and others, all graphic stuff possible (GD,
> JPEG, PNG, ...), cryptographic stuff like openssl, mhash, ...,
> compression, pear, XML/XSLT, pdflib, PSPELL?  Well you see, one cannot
> say which extension is important and which isn't, just try to use
> every available extension seems to be ok IMO.

That would be OK if all the extensions are built as modules, but building
everything into one php executable would make it pretty big, wouldn't it?

R.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/